Bug 173457 - [NEW PORT] games/edgar: 2D platform game with a persistent world
[NEW PORT] games/edgar: 2D platform game with a persistent world
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rusmir Dusko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 01:40 UTC by nemysis
Modified: 2013-10-15 17:10 UTC (History)
1 user (show)

See Also:


Attachments
.shar (5.09 KB, text/plain)
2012-11-08 01:40 UTC, nemysis
no flags Details
edgar.shar (5.20 KB, application/x-shar)
2013-02-01 02:28 UTC, nemysis
no flags Details
edgar.shar (5.21 KB, application/x-shar)
2013-02-23 14:48 UTC, nemysis
no flags Details
edgar.shar (4.07 KB, application/x-shar)
2013-03-28 12:33 UTC, nemysis
no flags Details
edgar.shar (4.07 KB, application/x-shar)
2013-05-17 10:38 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-08 01:40:00 UTC
The Legend of Edgar is a platform game, not unlike those found on the Amiga and
SNES. Edgar must battle his way across the world, solving puzzles and defeating
powerful enemies to achieve his quest.

A 2D platform game with a persistent world.
When Edgar's father fails to return home after venturing out one dark and stormy
night, Edgar fears the worst: he has been captured by the evil sorceror who
lives in a fortress beyond the forbidden swamp.

Donning his armour, Edgar sets off to rescue him, but his quest will not be
easy...

WWW: http://www.parallelrealities.co.uk/p/legend-of-edgar.html
WWW: http://sourceforge.net/projects/legendofedgar/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: new)

How-To-Repeat: 
portlint -A
WARN: Makefile: [39]: use ${VARIABLE}, instead of $(VARIABLE).
0 fatal errors and 1 warning found.

WARN: Makefile: [39] because is used
	-e 's|$(DESTDIR)/usr|${LOCALBASE}|' \

port test: clean

Build log

https://redports.org/buildarchive/20121108010606-52632/
Comment 1 nemysis 2013-02-01 02:28:59 UTC
Update to 1.06
Comment 2 nemysis 2013-02-23 14:48:28 UTC
Update to edgar-1.06.2

Changed to user can see new Versions

PORTVERSION=    1.06.2
MASTER_SITES=   SF/legendof${PORTNAME}/${PORTVERSION:R}/
DISTNAME=       ${PORTNAME}-${DISTVERSION:S/.2/-2/}
WRKSRC=         ${WRKDIR}/${PORTNAME}-${DISTVERSION:S/.2//}


portlint -A
looks usual.

port test: clean
Comment 3 nemysis 2013-03-28 12:33:02 UTC
- Update to 1.07.1
- Fix docs
- Trim pkg-plist
Comment 4 nemysis 2013-05-17 10:38:38 UTC
- Update to 1.08.1


Build log

https://redports.org/buildarchive/20130516233200-34067/
Comment 5 Martin Wilke freebsd_committer 2013-08-14 10:29:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is now committer.
Comment 6 Rusmir Dusko freebsd_committer 2013-10-15 16:59:52 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 7 dfilter freebsd_committer 2013-10-15 17:03:06 UTC
Author: nemysis
Date: Tue Oct 15 16:02:57 2013
New Revision: 330404
URL: http://svnweb.freebsd.org/changeset/ports/330404

Log:
  The Legend of Edgar is a platform game, not unlike those found on the Amiga and
  SNES. Edgar must battle his way across the world, solving puzzles and defeating
  powerful enemies to achieve his quest.
  
  A 2D platform game with a persistent world.
  When Edgar's father fails to return home after venturing out one dark and stormy
  night, Edgar fears the worst: he has been captured by the evil sorcerer who
  lives in a fortress beyond the forbidden swamp.
  
  Donning his armour, Edgar sets off to rescue him, but his quest will not be
  easy...
  
  WWW: http://www.parallelrealities.co.uk/p/legend-of-edgar.html?m=0
  
  PR:		ports/173457
  Submitted by:	nemysis (self)
  Approved by:	wg/pawel (mentors)

Added:
  head/games/legend-of-edgar/
  head/games/legend-of-edgar/Makefile   (contents, props changed)
  head/games/legend-of-edgar/distinfo   (contents, props changed)
  head/games/legend-of-edgar/pkg-descr   (contents, props changed)
  head/games/legend-of-edgar/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Tue Oct 15 15:53:46 2013	(r330403)
+++ head/games/Makefile	Tue Oct 15 16:02:57 2013	(r330404)
@@ -483,6 +483,7 @@
     SUBDIR += lbreakout
     SUBDIR += lbreakout2
     SUBDIR += ldmud
+    SUBDIR += legend-of-edgar
     SUBDIR += legends
     SUBDIR += legesmotus
     SUBDIR += lexter

Added: head/games/legend-of-edgar/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/legend-of-edgar/Makefile	Tue Oct 15 16:02:57 2013	(r330404)
@@ -0,0 +1,54 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	edgar
+DISTVERSION=	1.12-1
+CATEGORIES=	games
+MASTER_SITES=	SF/legendof${PORTNAME}/${PORTVERSION:R}/
+PKGNAMEPREFIX=	legend-of-
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	2D platform game with a persistent world
+
+LICENSE=	GPLv2
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${DISTVERSION:S/-1//}
+
+USES=		gmake
+USE_SDL=	image mixer sdl ttf
+WITH_ZLIB=	yes
+MAKEFILE=	makefile
+
+PORTDOCS=	*
+
+INSTALLS_ICONS=	yes
+
+OPTIONS_DEFINE=	DOCS NLS
+
+OPTIONS_SUB=	yes
+
+NLS_USES=		gettext
+
+.include <bsd.port.options.mk>
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|CC       = gcc|CC       = ${CC}|' \
+		-e 's|$$(DESTDIR)/usr|${STAGEDIR}${LOCALBASE}|' \
+		-e 's|$$(PREFIX)/games/|$$(PREFIX)/bin/|' \
+		-e 's|/share/games/edgar/|/share/edgar/|' \
+		-e 's|-Wall ||' \
+		-e 's|sdl-config|$(SDL_CONFIG)|' \
+		-e 's|-s ||' \
+		${WRKSRC}/makefile
+	@${REINPLACE_CMD} -e 's|SDL/SDL|${LOCALBASE}/include/SDL/SDL|g' \
+		${WRKSRC}/src/headers.h
+	@${REINPLACE_CMD} -e 's|png.h|${LOCALBASE}/include/png.h|g' \
+		${WRKSRC}/src/graphics/save_png.c
+	@${REINPLACE_CMD} -e 's|self->dirY =- 13|self->dirY -= 13|g' \
+		${WRKSRC}/src/boss/golem_boss.c
+
+post-install:
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps/
+
+.include <bsd.port.mk>

Added: head/games/legend-of-edgar/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/legend-of-edgar/distinfo	Tue Oct 15 16:02:57 2013	(r330404)
@@ -0,0 +1,2 @@
+SHA256 (edgar-1.12-1.tar.gz) = 0be4c25b6917313062a10f7dec8781d5b6d0f56db07cee14018731cb1dce8d58
+SIZE (edgar-1.12-1.tar.gz) = 90802761

Added: head/games/legend-of-edgar/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/legend-of-edgar/pkg-descr	Tue Oct 15 16:02:57 2013	(r330404)
@@ -0,0 +1,13 @@
+The Legend of Edgar is a platform game, not unlike those found on the Amiga and
+SNES. Edgar must battle his way across the world, solving puzzles and defeating
+powerful enemies to achieve his quest.
+
+A 2D platform game with a persistent world.
+When Edgar's father fails to return home after venturing out one dark and stormy
+night, Edgar fears the worst: he has been captured by the evil sorcerer who
+lives in a fortress beyond the forbidden swamp.
+
+Donning his armour, Edgar sets off to rescue him, but his quest will not be
+easy...
+
+WWW: http://www.parallelrealities.co.uk/p/legend-of-edgar.html?m=0

Added: head/games/legend-of-edgar/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/legend-of-edgar/pkg-plist	Tue Oct 15 16:02:57 2013	(r330404)
@@ -0,0 +1,45 @@
+bin/edgar
+share/applications/edgar.desktop
+%%DATADIR%%/edgar.pak
+share/icons/hicolor/16x16/apps/edgar.png
+share/icons/hicolor/32x32/apps/edgar.png
+share/icons/hicolor/48x48/apps/edgar.png
+share/icons/hicolor/64x64/apps/edgar.png
+%%NLS%%share/locale/ar/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/da/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/de/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/el/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/en_US/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/eo/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/es/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/fa/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/hi/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/it/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/jv/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/ko/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/ms/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/pt/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/sk/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/ta/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/ur/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/edgar.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/edgar.mo
+share/pixmaps/edgar.png
+%%NLS%%@dirrmtry share/locale/ur/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ur
+%%NLS%%@dirrmtry share/locale/jv/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/jv
+%%NLS%%@dirrmtry share/locale/en_US/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/en_US
+@dirrm %%DATADIR%%
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"